# oracle 11g xe

Installation

docker pull registry.ispacesys.cn/public/oracle-xe-11g
Run with 8080 and 1521 ports opened:

docker run -d -p 8080:8080 -p 1521:1521 registry.ispacesys.cn/public/oracle-xe-11g
Run with data on host and reuse it:

docker run -d -p 8080:8080 -p 1521:1521 -v /my/oracle/data:/u01/app/oracle registry.ispacesys.cn/public/oracle-xe-11g
Run with customization of processes, sessions, transactions This customization is needed on the database initialization stage. If you are using mounted folder with DB files this is not used:

##Consider this formula before customizing:
#processes=x
#sessions=x*1.1+5
#transactions=sessions*1.1

docker run -d -p 8080:8080 -p 1521:1521 -v /my/oracle/data:/u01/app/oracle\
-e processes=1000 \
-e sessions=1105 \
-e transactions=1215 \
registry.ispacesys.cn/public/oracle-xe-11g
Run with custom sys password:

docker run -d -p 8080:8080 -p 1521:1521 -e DEFAULT_SYS_PASS=sYs-p@ssw0rd registry.ispacesys.cn/public/oracle-xe-11g
Connect database with following setting:

hostname: localhost
port: 1521
sid: xe
username: system
password: oracle
Password for SYS & SYSTEM:

oracle
Connect to Oracle Application Express web management console with following settings:

http://localhost:8080/apex
workspace: INTERNAL
user: ADMIN
password: oracle